POSTDeprecated
Calculate mining fee
Calculate the fee and estimated size in bytes for a Bitcoin transaction
Body Params
object
-
feeRatestring or integerCustom minimum fee rate in a coin's base unit per kilobyte (or virtual kilobyte)--for example, satoshis per kvByte or microAlgos per kByte. If the appliedfeeRatedoes not meet a coin's required minimum transaction fee amount, the minimum is still applied (for example, 1000 sat/kvByte or a flat 1000 microAlgos). -
nP2shInputsintegerNumber of P2SH (multi-signature) inputs -
nP2pkhInputsintegerNumber of P2PKH (single-signature) inputs -
nP2shP2wshInputsintegerNumber of P2SH_P2WSH (wrapped segwit multi-signature) inputs -
nOutputsinteger requiredNumber of outputs
Responses
200
OK
Response Body
object
-
sizeintegerEstimated size of the transaction in bytes -
feeintegerEstimated fee in base units for the transaction -
feeRateintegerThe fee rate in base units per kB used to estimate the fee for the transaction